QGIS Crashes when creating a blank project after using composer

2014-02-13 06:14 PM - Tim Sutton

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18146

Description

To replicate:

Using QGIS head on OSX

    1. Open QGIS

    2. Blank project

    3. New composer map (default for name)

    4. Close composer

    5. Hit 'new project' icon on toolbar

    6. QGIS Crashes

I don't get any traceback when the crash occurs. I believe the issue relates to map composer because in other circumstances pressing

new project does not cause a crash.

History

#1 - 2014-02-13 06:45 PM - Tim Sutton

Testing against commit:dae8ea66a169db7539a08dc81d2ebe9dab789f37 I can note that it is no longer guaranteed to get the crash. Probably we can put

this on the low priority list until it can be repeated deterministicly.

#2 - 2014-02-14 10:10 AM - Larry Shaffer

Tim,

Even when the crash reporter dialog doesn't show up, the crash report should still written to your user logs. Check:

~/Library/Logs/DiagnosticReports/QGIS*

or open Console.app and look under the User Diagnostic Reports section.

See also (for more info and changing prefs on crash reports):

http://stackoverflow.com/questions/10359966

https://developer.apple.com/library/mac/technotes/tn2004/tn2123.html

#3 - 2014-02-14 10:20 AM - Larry Shaffer
http://stackoverflow.com/questions/10359966
https://developer.apple.com/library/mac/technotes/tn2004/tn2123.html


I can not reproduce this on Mac OS X 10.9 (haven't tested elsewhere).

Tim, there seems to be an issue with the CadInput plugin, which always crashes the app on quit. If you have that installed, try uninstalling, quitting, then

trying to reproduce the issue again.

I think some Qt signal/slot connection for the plugin are not being handled correctly?

#4 - 2014-06-07 03:13 AM - Nyall Dawson

- Status changed from Open to Feedback

Tim - what's the status here? Can this be closed?

#5 - 2014-06-14 02:28 AM - Tim Sutton

I'm closing this out since I can no longer reproduce it.

#6 - 2014-06-14 02:29 AM - Tim Sutton

- Status changed from Feedback to Closed
